#!/bin/sh
DATE=`date +%Y%m%d_%H%M%S`
##### JBOSS Directory Setup #####
#export JAVA_HOME=/jboss/java/jdk1.7.0_80
export JBOSS_HOME=/was/jboss-eap-7.2
export DOMAIN_BASE=/was/domains
export SERVER_NAME=FDM
export LOG_HOME=/was/waslog/$SERVER_NAME/
mkdir -p $LOG_HOME/gclog
mkdir -p $LOG_HOME/nohup
#export ACCESS_LOG_HOME=$LOG_HOME/access-log/
   
##### Configration File #####
export CONFIG_FILE=standalone-ha.xml
export NODE_NAME=$SERVER_NAME
export PORT_OFFSET=0
   
##### JBOSS USER #####
export JBOSS_USER=wasadm
   
##### Bind Address #####
export BIND_ADDR=`ifconfig eth0 | grep "inet " | awk -F'[: ]+' '{ print $3 }'`
#export BIND_ADDR=127.0.0.1
#export MULTICAST_ADDR=230.1.0.2
#export MULTICAST_PORT=55200
#export JMS_MULTICAST_ADDR=230.2.0.1
#export MODCLUSTER_MULTICAST_ADDR=224.0.1.105
export MGMT_ADDR=`hostname`.koreanair.com
export CONTROLLER_IP=$MGMT_ADDR
let CONTROLLER_PORT=9990+$PORT_OFFSET
export CONTROLLER_PORT
export LAUNCH_JBOSS_IN_BACKGROUND=true
   
##### JBoss System module and User module directory #####
export JBOSS_MODULEPATH=$JBOSS_HOME/modules:$JBOSS_HOME/modules.ext
# JVM Options : Server
export JAVA_OPTS="-server $JAVA_OPTS"
   
# JVM Options : Memory
export JAVA_OPTS=" $JAVA_OPTS -Xms1024m"
export JAVA_OPTS=" $JAVA_OPTS -Xmx1024m"
export JAVA_OPTS=" $JAVA_OPTS -XX:MetaspaceSize=256m"
export JAVA_OPTS=" $JAVA_OPTS -XX:MaxMetaspaceSize=256m"
#export JAVA_OPTS=" $JAVA_OPTS -Xss256k"
   
### Parallel GC OPTIONS ###
export JAVA_OPTS=" $JAVA_OPTS -XX:+UseParallelOldGC "
export JAVA_OPTS=" $JAVA_OPTS -XX:+UseParallelGC "
#export JAVA_OPTS=" $JAVA_OPTS -XX:+UseConcMarkSweepGC "
#export JAVA_OPTS=" $JAVA_OPTS -XX:+UseG1GC -XX:MaxGCPauseMillis=1000 "
   
# JVM Option GCi log, Stack Trace, Dump
export JAVA_OPTS=" $JAVA_OPTS -verbose:gc"
export JAVA_OPTS=" $JAVA_OPTS -XX:+PrintGCTimeStamps "
export JAVA_OPTS=" $JAVA_OPTS -XX:+PrintGCDetails "
export JAVA_OPTS=" $JAVA_OPTS -XX:+PrintHeapAtGC"
export JAVA_OPTS=" $JAVA_OPTS -Xloggc:$LOG_HOME/gclog/gc_$DATE.log "
export JAVA_OPTS=" $JAVA_OPTS -XX:+HeapDumpOnOutOfMemoryError "
export JAVA_OPTS=" $JAVA_OPTS -XX:HeapDumpPath=$LOG_HOME/gclog/java_pid_$DATE.hprof"
export JAVA_OPTS=" $JAVA_OPTS -XX:+DisableExplicitGC "
export JAVA_OPTS=" $JAVA_OPTS -XX:+ExplicitGCInvokesConcurrent "
export JAVA_OPTS=" $JAVA_OPTS -Djava.net.preferIPv4Stack=true"
export JAVA_OPTS=" $JAVA_OPTS -Dorg.jboss.resolver.warning=true"
export JAVA_OPTS=" $JAVA_OPTS -Djboss.modules.system.pkgs=org.jboss.byteman"
export JAVA_OPTS=" $JAVA_OPTS -Djava.awt.headless=true"
   
#export   JAVA_OPTS="$JAVA_OPTS -Dcom.sun.management.jmxremote"
#export   JAVA_OPTS="$JAVA_OPTS -Dcom.sun.management.jmxremote.port=8086"
#export   JAVA_OPTS="$JAVA_OPTS -Dcom.sun.management.jmxremote.ssl=false"
#export   JAVA_OPTS="$JAVA_OPTS -Dcom.sun.management.jmxremote.authenticate=false"
export JAVA_OPTS=" $JAVA_OPTS -Djboss.node.name=$NODE_NAME"
export JAVA_OPTS=" $JAVA_OPTS -Djboss.server.base.dir=$DOMAIN_BASE/$SERVER_NAME"
export JAVA_OPTS=" $JAVA_OPTS -Djboss.server.log.dir=$LOG_HOME"
export JAVA_OPTS=" $JAVA_OPTS -Daccesslog.dir=$ACCESS_LOG_HOME"
export JAVA_OPTS=" $JAVA_OPTS -Djboss.socket.binding.port-offset=$PORT_OFFSET"
export JAVA_OPTS=" $JAVA_OPTS -Djboss.bind.address.management=$MGMT_ADDR"
export JAVA_OPTS=" $JAVA_OPTS -Djboss.bind.address=$BIND_ADDR"
#export JAVA_OPTS=" $JAVA_OPTS -Djboss.bind_addr=$MULTICAST_ADDR"
#export JAVA_OPTS=" $JAVA_OPTS -Djboss.default.multicast.address=$MULTICAST_ADDR"
#export JAVA_OPTS=" $JAVA_OPTS -Djboss.default.multicast.port=$MULTICAST_PORT"
export JAVA_OPTS=" $JAVA_OPTS -Dserver.mode=local"
 
# jgroups setting
export JAVA_OPTS=" $JAVA_OPTS -Djboss.bind.address.private=$BIND_ADDR"
export JAVA_OPTS=" $JAVA_OPTS -Djboss.default.jgroups.stack=tcp"
export JAVA_OPTS=" $JAVA_OPTS -Djboss.jgroups.gossip.initial_hosts=10.43.41.176[13001]"
#export JAVA_OPTS=" $JAVA_OPTS -Djgroups.tcpgossip.hosts=127.0.0.1[13001] "
   
# Use log4j in application
#export JAVA_OPTS=" $JAVA_OPTS -Dorg.jboss.as.logging.per-deployment=false "
   
echo "================================================"
echo "JBOSS_HOME=$JBOSS_HOME"
echo "DOMAIN_BASE=$DOMAIN_BASE"
echo "SERVER_NAME=$SERVER_NAME"
echo "CONFIG_FILE=$CONFIG_FILE"
echo "BIND_ADDR=$BIND_ADDR"
echo "PORT_OFFSET=$PORT_OFFSET"
#echo "MULTICAST_ADDR=$MULTICAST_ADDR"
echo "CONTROLLER=$CONTROLLER_IP:$CONTROLLER_PORT"
echo "================================================"
