#!/bin/sh
###########################
# JBOSS EAP 6.X           # 
###########################
# Standalone Health Check #
###########################
# HealthCheck V0.4        #
###########################

. ../env.sh > /dev/null

## JBoss Process Check ##
PID=`ps -ef | grep java | grep "SERVER=$SERVER_NAME " | awk '{print $2}'`

if [ e$PID == "e" ]
then
    echo "JBoss SERVER - $SERVER_NAME is Not RUNNING..."
    exit;
fi

### DS POOL NAME GET ###
IFS=$'\t' ARR=(`./jboss-cli.sh --command=/subsystem=datasources:read-resource`)

DS_NAMES=`echo ${ARR[@]}|grep "undefined"|egrep -v 'jdbc-driver|xa-data-source'|sed 's/=>/\n/g'|egrep -v 'data|unde'|sed 's/"//g'|sed 's/{//g'`
DRIVERS=`cat ${DOMAIN_BASE}/${SERVER_NAME}/configuration/${CONFIG_FILE}|grep "driver name"`
DRIVER=`echo ${DRIVERS}|sed 's/ /\n/g'|grep "name="|sed 's/name=//g'|sed 's/\"//g'`

printf "%s\n" "--------------------------------------------------"
printf "\e[1;34m %-10s\e[0m \n" "## DATASOURCE CONNECTION POOL CHECK##"
printf "%s\n" "--------------------------------------------------"

#./jboss-cli.sh --command=/subsystem=datasources:read-resource
### DS POOL Connection Check ###
for DS_NAME in $DS_NAMES ;
do
        ## DS Monitoring Check  ###
        IFS=$'\t' ARR1=(`./jboss-cli.sh --command=/subsystem=datasources/data-source=$DS_NAME:read-resource\(recursive=true,include-runtime=true\)`)
        ### DS POOL Connection TEST ###
	#TEST_CONNECTION_CHECK=`./jboss-cli.sh --command=/subsystem=datasources/data-source=\${DS_NAME}:test-connection-in-pool | grep "outcome"|awk -F'=>' '{print $2}'|sed 's/"//g'|sed 's/,//g'`

	#TEST_CONNECTION_CHECK=`cat conn_test.txt|grep "outcome"|awk -F'=>' '{print $2}'|sed 's/"//g'|sed 's/,//g'`
	MAX_POOL_SIZE=`echo ${ARR1[@]}|grep "max-pool-size"|awk -F'=>' '{print $2}'|sed 's/"//g'|sed 's/,//g'`
	MIN_POOL_SIZE=`echo ${ARR1[@]}|grep "min-pool-size"|awk -F'=>' '{print $2}'|sed 's/"//g'|sed 's/,//g'`
	ACTIVE_COUNT=`echo ${ARR1[@]}|grep "ActiveCount"|awk -F'=>' '{print $2}'|sed 's/"//g'|sed 's/,//g'`
	IN_USE_COUNT=`echo ${ARR1[@]}|grep "InUseCount"|awk -F'=>' '{print $2}'|sed 's/"//g'|sed 's/,//g'`
	MAX_IN_USE_COUNT=`echo ${ARR1[@]}|grep "MaxUsedCount"|awk -F'=>' '{print $2}'|sed 's/"//g'|sed 's/,//g'`

# Print output  
printf " %-15s : %-15s\n" "DATASOURCE" " $DS_NAME"
if [[ $TEST_CONNECTION_CHECK == "success" ]]
then
	printf " %-15s : %-15s\n" "connection" " OK"
else
	printf " %-15s : \e[37;41m %-15s \033[0m \n" "connection" "DISCONNECT"
#printf "%-20s | \e[37;41m %-20s \033[0m \n" "${SERVER_NAME}" "${PID_CNT}  ( PID = ${PID} )"
fi
printf " %-15s : %-10s\n" "min_pool_size" "$MIN_POOL_SIZE"
printf " %-15s : %-10s\n" "max_pool_size" "$MAX_POOL_SIZE"
printf " %-15s : %-10s\n" "ActiveCount" "$ACTIVE_COUNT"
printf " %-15s : %-10s\n" "InUseCount"  "$IN_USE_COUNT"
printf " %-15s : %-10s\n" "MaxInUseCount" "$MAX_IN_USE_COUNT"
printf "%s\n" "--------------------------------------------------"
done

#rm -f ./DS_info.txt ./conn_info.txt ./conn_test.txt
#rm -f ./conn_info.txt ./conn_test.txt DS_info.txt
