#!/bin/sh
###########################
# JBOSS EAP 6.X           # 
###########################
# Standalone Health Check #
###########################
# HealthCheck V0.4        #
############################

. ../env.sh > /dev/null

## JBoss Process Check ##
PID=`ps -ef | grep java | grep "SERVER=$SERVER_NAME " | awk '{print $2}'`

if [ e$PID == "e" ]
then
    echo "JBoss SERVER - $SERVER_NAME is Not RUNNING..."
    exit;
fi

### Deployment APPS GET ###
./jboss-cli.sh --command="/deployment=*/subsystem=web:read-resource(include-runtime=true)"|egrep -i 'deployment|active-sessions'|sed 's/^ *//' > session_cnt.txt
DEPLOY_APPS=`cat session_cnt.txt|grep "deployment"|awk -F'=>' '{print $2}'|sed 's/"//g'|sed 's/),//g'`

printf "%s\n" "--------------------------------------------------"
printf "\e[1;34m %-10s\e[0m \n" "## ACTIVE SESSION CHECK ##"
printf "%s\n" "--------------------------------------------------"

# Print output  
if [[ e$DEPLOY_APPS == "e" ]];
then
        printf " %-20s : %-15s\n" "APPLICATION" "N/A"
        printf " %-20s : %-10s\n" "active-sessions" "N/A"
        printf " %-20s : %-10s\n" "max-ctive-sessions" "N/A"
else

        ### Deployed APPS Session GET ###
        for DEPLOY_APP in $DEPLOY_APPS ;
        do
                ./jboss-cli.sh --command="/deployment=$DEPLOY_APP/subsystem=web:read-resource(include-runtime=true)"| egrep -i 'deployment|active-sessions'|sed 's/^ *//' > session_status.txt

        ACTIVE_SESSION=`cat session_status.txt|grep "active-sessions"|grep -v "max" | awk -F'=>' '{print $2}'|sed 's/"//g'|sed 's/,//'`
        MAX_ACTIVE_SESSION=`cat session_status.txt|grep "max-active-sessions"|awk -F'=>' '{print $2}'|sed 's/"//g'|sed 's/,//'`

        printf " %-20s : %-15s\n" "APPLICATION" " $DEPLOY_APP"
        printf " %-20s : %-10s\n" "active-sessions" "$ACTIVE_SESSION"
        printf " %-20s : %-10s\n" "max-active-sessions" "$MAX_ACTIVE_SESSION"
done
fi

rm -f ./session_cnt.txt ./session_status.txt
