#!/bin/sh
###########################
# JBOSS EAP 6.X           # 
###########################
# Standalone Health Check #
###########################
# HealthCheck V0.4        #
###########################

. ../env.sh > /dev/null

EXECUTORS=`grep "executor" $DOMAIN_BASE/$SERVER_NAME/configuration/$CONFIG_FILE|sed 's/\ /\n/g'|grep executor|sed 's/\/>/\n/g'` 
EXECUTOR=`echo $EXECUTORS | awk -F'"' '{ print $2"\t"$4 }'`

## JBoss Process Check ##
PID=`ps -ef | grep java | grep "SERVER=$SERVER_NAME " | awk '{print $2}'`

if [ e$PID == "e" ]
then
    echo "JBoss SERVER - $SERVER_NAME is Not RUNNING..."
    exit;
fi

printf "%s\n" "--------------------------------------------------"
printf "\e[1;34m %-10s\e[0m \n" "## THREAD POOL CHECK ##"
printf "%s\n" "--------------------------------------------------"


IFS=$'\t' ARR=(`./jboss-cli.sh --command=/subsystem=threads:read-resource\(recursive=true,include-runtime=true\)`)

#echo ${ARR[@]}

for i in $EXECUTOR
do
        EXECUTE_NAME=$i
	MAX_SIZE=`echo ${ARR[@]} | grep  -A 12 "${i}.*=>" | grep "max-threads"|awk -F'=>' '{print $2}'|sed 's/"//g'|sed 's/,//g'`
	ACTIVE_COUNT=`echo ${ARR[@]} |grep  -A 12 "${i}.*=>" |  grep "active-count"|awk -F'=>' '{print $2}'|sed 's/"//g'|sed 's/,//g'`
        CURRENT_COUNT=`echo ${ARR[@]} | grep  -A 12 "${i}.*=>" | grep "current-thread-count"|awk -F'=>' '{print $2}'|sed 's/"//g'|sed 's/,//g'`
        LARGE_COUNT=`echo ${ARR[@]} | grep  -A 12 "${i}.*=>" | grep "largest-thread-count"|awk -F'=>' '{print $2}'|sed 's/"//g'|sed 's/,//g'`

                # Print output  
                printf " %-15s : %-10s\n" "EXECUTER" "$EXECUTE_NAME"
                printf " %-15s : %-10s\n" "Max-threads" "$MAX_SIZE"
                printf " %-15s : %-10s\n" "ActiveCount" "$ACTIVE_COUNT"
                printf " %-15s : %-10s\n" "CurrentCount"  "$CURRENT_COUNT"
                printf " %-15s : %-10s\n" "MaxInUseCount" "$LARGE_COUNT"
                printf "%s\n" "--------------------------------------------------"
done
