#!/bin/sh
###########################
# JBOSS EAP 6.X           # 
###########################
# Standalone Health Check #
###########################
# HealthCheck V0.4        #
###########################

. ../env.sh > /dev/null

## JBoss Process Check ##
PID=`ps -ef | grep java | grep "SERVER=$SERVER_NAME " | awk '{print $2}'`

if [ e$PID == "e" ]
then
    echo "JBoss SERVER - $SERVER_NAME is Not RUNNING..."
    exit;
fi

### VERSION INFO GET ###
./jboss-cli.sh --command=version |egrep -i 'jboss_home|AS|java_home|java.version|vm.ve|os.name|os.version'|grep -v 'MULTI' > version_info.txt

printf "%s\n" "--------------------------------------------------"
printf "\e[1;34m %-10s\e[0m \n" "## JBOSS VERSION INFO ##"
printf "%s\n" "--------------------------------------------------"

### THREAD POOL INFO ###
JBOSS_RELEASE=`cat version_info.txt|grep "JBoss AS release"| awk -F':' '{print $2}'`
JBOSS_VERSION=`cat version_info.txt|grep "JBoss AS product"| awk -F':' '{print $2}'`
JAVA_VERSION=`cat version_info.txt|grep "java.version"| awk -F':' '{print $2}'`

# Print output  
printf " %-15s : %-10s\n" "JBOSS_HOME" "$JBOSS_HOME"
printf " %-15s : %-10s\n" "JAVA_HOME" "$JAVA_HOME"
printf " %-15s : %-10s\n" "JBOSS_VERSION" "$JBOSS_VERSION"
printf " %-15s : %-10s\n" "JBOSS_RELEASE" "$JBOSS_RELEASE"
printf " %-15s : %-10s\n" "JAVA_VERSION" "$JAVA_VERSION"
printf "%s\n" "--------------------------------------------------"

rm -f ./version_info.txt
