#!/bin/sh
###########################
# JBOSS EAP 6.X           # 
###########################
# Standalone Health Check #
###########################
# HealthCheck V0.5        #
###########################

. ../env.sh > /dev/null

## JBoss Process Check ##
PID=`ps -ef | grep java | grep "SERVER=$SERVER_NAME " | awk '{print $2}'`

if [ e$PID == "e" ]
then
    echo "JBoss SERVER - $SERVER_NAME is Not RUNNING..."
    exit;
fi


printf "%s\n" "--------------------------------------------------"
printf "\e[1;34m %-10s\e[0m \n" "## JBOSS CLUSTER CHECK ##"
printf "%s\n" "--------------------------------------------------"

### CLUSTER INFO  GET ###
if [ ! -f ./Cluster/ClusterMon.class ]
then
        $JAVA_HOME/bin/javac -cp $JBOSS_HOME/bin/client/jboss-client.jar  -d . Cluster/ClusterMon.java
fi
        $JAVA_HOME/bin/java -cp $JBOSS_HOME/bin/client/jboss-client.jar:. Cluster.ClusterMon $MGMT_ADDR > CLUSTER_INFO.txt 2>&1

sed -i '1,9d' CLUSTER_INFO.txt

MEMBER_NAME=`cat CLUSTER_INFO.txt|grep "name" |awk -F'=' '{print $2}'`
CURRENT_VIEW=`cat CLUSTER_INFO.txt|grep "clusterView" |awk -F'=' '{ split($2,array,"] "); print array[2];}'`
RMESSAGES=`cat CLUSTER_INFO.txt|grep "receivedMessages" |awk -F'=' '{print $2}'`
CLUSTER_NAME=`cat CLUSTER_INFO.txt|grep "clusterName" |awk -F'=' '{print $2}'`


if [ e$MEMBER_NAME == "e" ];
then
        printf " %-20s : %-10s\n" "Name" "N/A"
        printf " %-20s : %-30s\n" "Current view" "N/A"
        printf " %-20s : %-10s\n" "ClusterName" "N/A"
        printf " %-20s : %-10s\n" "ReceivedMessages" "N/A"
        printf "%s\n" "--------------------------------------------------"
        exit;
fi

printf " %-20s : %-10s\n" "Name" "$MEMBER_NAME"
printf " %-20s : %-30s\n" "Current view" "$CURRENT_VIEW"
printf " %-20s : %-10s\n" "ClusterName" "$CLUSTER_NAME"
printf " %-20s : %-10s\n" "ReceivedMessages" "$RMESSAGES"
printf "%s\n" "--------------------------------------------------"

rm -f CLUSTER_INFO.txt


